# Read Workflow Run Node Shape

> Return status and value-free output shapes for one executed node.

Source: [https://genhealth.ai/docs/workflows/api-reference/v1/workflow-developer-api/read-workflow-run-node-shape](https://genhealth.ai/docs/workflows/api-reference/v1/workflow-developer-api/read-workflow-run-node-shape)

## Endpoint

`GET /developer/v1/workflows/{definition_id}/runs/{run_id}/nodes/{node_id}`

## Authentication

Send a GenHealth credential in the `Authorization` header:

```http
Authorization: Bearer <YOUR_API_KEY>
Accept: application/json
```

Required scopes: `workflow:read`

## Parameters

| Name | Location | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `definition_id` | path | string | Yes | No description provided. |
| `run_id` | path | string | Yes | No description provided. |
| `node_id` | path | string | Yes | No description provided. |
| `iteration_path` | query | array<integer> \| null | No | No description provided. |
| `limit` | query | integer | No | No description provided. Default: 5. |

## Request examples

### cURL

```curl
curl --request GET \
  --url 'https://api.umpa.genhealth.ai/developer/v1/workflows/{definition_id}/runs/{run_id}/nodes/{node_id}?limit=5' \
  --header 'Authorization: Bearer <YOUR_API_KEY>' \
  --header 'Accept: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.umpa.genhealth.ai/developer/v1/workflows/{definition_id}/runs/{run_id}/nodes/{node_id}?limit=5', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer <YOUR_API_KEY>',
    Accept: 'application/json',
  },
});

const data = await response.json();
```

### Python

```python
import requests

response = requests.get(
    'https://api.umpa.genhealth.ai/developer/v1/workflows/{definition_id}/runs/{run_id}/nodes/{node_id}?limit=5',
    headers={
        'Authorization': 'Bearer <YOUR_API_KEY>',
        'Accept': 'application/json',
    },
)

data = response.json()
```

## Responses

| Status | Description |
| --- | --- |
| 200 | Successful Response |
| 422 | Validation Error |

### 200 response example

```json
{
  "success": true,
  "error": "string",
  "error_category": "string",
  "retryable": true,
  "hint": "string",
  "outline_hints": [
    {
      "example_key": "string"
    }
  ],
  "run_id": "string",
  "node_id": "string"
}
```

### 422 response example

```json
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}
```
